---
title: rattler-build upload artifactory
---
<!--- This file is autogenerated. Do not edit manually! -->
# [rattler-build](../index.md) [upload](index.md) artifactory

Options for uploading to an Artifactory channel

## Usage
```
rattler-build upload artifactory [OPTIONS] --url <URL> --channel <CHANNELS>
```

## Options
- <a id="arg---url" href="#arg---url">`--url (-u) <URL>`</a>
:  The URL to your Artifactory server
<br>**required**: `true`
<br>**env**: `ARTIFACTORY_SERVER_URL`
- <a id="arg---channel" href="#arg---channel">`--channel (-c) <CHANNELS>`</a>
:  The URL to your channel
<br>**required**: `true`
<br>**env**: `ARTIFACTORY_CHANNEL`
- <a id="arg---username" href="#arg---username">`--username <USERNAME>`</a>
:  Your Artifactory username for HTTP basic authentication
<br>**env**: `ARTIFACTORY_USERNAME`
- <a id="arg---password" href="#arg---password">`--password <PASSWORD>`</a>
:  Your Artifactory password for HTTP basic authentication
<br>**env**: `ARTIFACTORY_PASSWORD`
- <a id="arg---token" href="#arg---token">`--token (-t) <TOKEN>`</a>
:  Your Artifactory token for bearer authentication
<br>**env**: `ARTIFACTORY_TOKEN`

## Description
Options for uploading to an Artifactory channel.

Authentication can be supplied directly with a bearer token or with an Artifactory username and password. If no credentials are supplied, they are read from the keychain / auth-file.

